| DayF core 1.2.1.2 DayF (Decision at your Fingertips) is an AutoML freeware development framework that let developers works with Machine Learning models without any idea of AI, simply taking a csv dataset and the objective column

Public Member Functions | Public Attributes | List of all members
gdayf.workflow.workflow.Workflow Class Reference

Core class oriented to manage pipeline of workflows execution orchestrating the execution of actions activities. More...

Inheritance diagram for gdayf.workflow.workflow.Workflow:
[legend]
Collaboration diagram for gdayf.workflow.workflow.Workflow:
[legend]

## Public Member Functions
def | __init__ (self, user_id='PoC_gDayF')
| Constructor.
def | workflow (self, datapath, workflow, prefix=None, remove_models=EACH_BEST)
| Method leading workflow executions. More...
def | train_workflow (self, datapath, wkey, workflow, prefix='main', remove_models=EACH_BEST)
| Method leading train workflow executions. More...
def | predict_workflow (self, datapath, wkey, workflow, prefix='main', workflow_id='default', remove_models=EACH_BEST)
| Method leading predict workflow executions. More...
def | check_path (self, datapath)
| Method managing dataset load from datapath: More...
def | storage_path (self, mode, filename, filetype)
| Method managing storage path. More...
def | replicate_file (self, mode, filename)
| Method replicate files from primery to others. More...

## Public Attributes
| timestamp

## Detailed Description

Core class oriented to manage pipeline of workflows execution orchestrating the execution of actions activities.

Definition at line 32 of file workflow.py.

## Member Function Documentation

## ◆ check_path()

def gdayf.workflow.workflow.Workflow.check_path | ( |  | self,
|  |  | datapath
| ) |  |

Method managing dataset load from datapath:

Parameters

  datapath | String Path indicating file to be analyzed or Dataframe

Returns
  None, Dataframe if no load errors, Error Message/None if load errors

Definition at line 425 of file workflow.py.

Here is the caller graph for this function:

## ◆ predict_workflow()

def gdayf.workflow.workflow.Workflow.predict_workflow | ( |  | self,
|  |  | datapath,
|  |  | wkey,
|  |  | workflow,
|  |  | prefix = `'main'`,
|  |  | workflow_id = `'default'`,
|  |  | remove_models = `EACH_BEST`
| ) |  |

Method leading predict workflow executions.

Parameters

  self | object pointer
  e_c | experiment_configuration
  datapath | String Path indicating file to be analyzed or Dataframe
  wkey | Step name
  workflow | String Path indicating test workflow definition path
  remove_models | [BEST, BEST_3, EACH_BEST, ALL]
  prefix | value

Definition at line 279 of file workflow.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ replicate_file()

def gdayf.workflow.workflow.Workflow.replicate_file | ( |  | self,
|  |  | mode,
|  |  | filename
| ) |  |

Method replicate files from primery to others.

Parameters

  mode | ['train','predict']
  filename | filename

Returns
  None if no localfs primary path found . Abosulute path if true

Definition at line 479 of file workflow.py.

Here is the caller graph for this function:

## ◆ storage_path()

def gdayf.workflow.workflow.Workflow.storage_path | ( |  | self,
|  |  | mode,
|  |  | filename,
|  |  | filetype
| ) |  |

Method managing storage path.

Parameters

  mode | ['train','predict']
  filename | filename
  filetype | file type

Returns
  None if no localfs primary path found . Abosulute path if true

Definition at line 446 of file workflow.py.

Here is the caller graph for this function:

## ◆ train_workflow()

def gdayf.workflow.workflow.Workflow.train_workflow | ( |  | self,
|  |  | datapath,
|  |  | wkey,
|  |  | workflow,
|  |  | prefix = `'main'`,
|  |  | remove_models = `EACH_BEST`
| ) |  |

Method leading train workflow executions.

Parameters

  self | object pointer
  datapath | String Path indicating file to be analyzed or Dataframe
  wkey | Step name
  workflow | String Path indicating train workflow definition path
  prefix | value
  remove_models | [BEST, BEST_3, EACH_BEST, ALL]

Definition at line 86 of file workflow.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ workflow()

def gdayf.workflow.workflow.Workflow.workflow | ( |  | self,
|  |  | datapath,
|  |  | workflow,
|  |  | prefix = `None`,
|  |  | remove_models = `EACH_BEST`
| ) |  |

Method leading workflow executions.

Parameters

  self | object pointer
  e_c | experiment_configuration
  datapath | String Path indicating file to be analyzed or Dataframe
  workflow | String Path indicating train workflow definition path
  remove_models | [BEST, BEST_3, EACH_BEST, ALL]
  prefix | value

Definition at line 50 of file workflow.py.

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- D:/OneDrive/DayF/git/gdayf-core/src/gdayf/workflow/workflow.py